#### 简要描述：

- 混合定位查询
- 优先Wifi定位，如果Wifi定位查不到值，则查基站定位
- Wifi定位的传参不少于3个
#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|2.0.0 | 李孝祯  | 2024-01-31 | 2024-01-31 |

#### 请求头
- Content-Type：application/json
- token：279597241A634B818E2CEE1A3BDCFD03

#### 请求URL:

- https://api.assetscontrols.com:2443/location/hybrid/queryHybridLocation
- http://api.assetscontrols.com:8092/location/hybrid/queryHybridLocation

#### 请求方式：

- Post

#### 请求参数:
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|lbsParams | 是  |Object | 参考LBS定位对象参数|
|wifiParamsList | 是  |List< Object > | 参考Wifi定位对象参数 |

##### LBS定位对象参数
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|mcc | 是  |Int | 移动国家码(Mobile Country Code) |
|mnc | 是  |Int | 移动设备网络代码（Mobile Network Code） |
|lacid | 是  |Int | 基站LAC（Location Area Code） |
|cellid | 是  |Long | 基站CID（Cell Identifier）|

##### Wifi定位对象参数
|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|mac | 是  |String | MAC地址 |
|rssi | 是  |Int | 接收信号强度，此值非必要 |

#### 请求示例
```json
{
    "lbsParams":{
    "mcc":460,
    "mnc":0,
    "lacid":10352,
    "cellid":232910657
    },
    "wifiParamsList":[
        {"mac":"28:01:1c:18:d1:50","rssi":-24},
        {"mac":"0c:84:47:dd:cd:6d","rssi":-27},
        {"mac":"68:93:20:f0:e9:4d","rssi":-48},
        {"mac":"68:93:20:f0:e9:1e","rssi":-55},
        {"mac":"68:93:20:f0:e9:69","rssi":-61},
        {"mac":"fc:8d:3d:00:30:6d","rssi":-72},
        {"mac":"fc:8d:3d:00:2a:00","rssi":-74},
        {"mac":"68:93:20:f0:e9:20","rssi":-81},
        {"mac":"f0:92:b4:e9:4c:39","rssi":-90},
        {"mac":"18:52:82:40:ab:8d","rssi":-90}
    ]
}
```
#### 返回结果
```json
{
    "code": 200,
    "message": "Operation succeeded",
    "data": {
        "type": 1,
        "lat": 22.6702183763384,
        "lon": 113.920534518506,
        "radius": 237
    }
}
```
#### 返回结果字段说明
|参数名|类型|说明|
|:----    |:----- |-----   |
|code |int | 状态码，更多状态码参见：[返回状态码说明](http://icloud.jointcontrols.com:8181/docs/byS1HfGCuJ18aBO3/byS1HfGCuJ18aBO3-1fdelsjei9e70 "返回状态码说明") |
|message | string | 请求结果描述 |
|data |Object | 返回结果实体 |

##### data说明
|参数名|类型|说明|
|:----    |:----- |-----   |
|type |int | 0-异常定位  1-LBS定位  2-Wifi定位 |
|lat |Double | 纬度 |
|lon |Double | 经度 |
|radius |int | 两点之间的距离，单位：m |